// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// BotRegistry is an autogenerated mock type for the BotRegistry type
type BotRegistry struct {
	mock.Mock
}

// Add provides a mock function with given fields: instance
func (_m *BotRegistry) Add(instance *models.IBotHandler) {
	_m.Called(instance)
}

// Get provides a mock function with given fields: method
func (_m *BotRegistry) Get(method string) (*models.IBotHandler, error) {
	ret := _m.Called(method)

	var r0 *models.IBotHandler
	if rf, ok := ret.Get(0).(func(string) *models.IBotHandler); ok {
		r0 = rf(method)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.IBotHandler)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(method)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields:
func (_m *BotRegistry) List() map[string]*models.IBotHandler {
	ret := _m.Called()

	var r0 map[string]*models.IBotHandler
	if rf, ok := ret.Get(0).(func() map[string]*models.IBotHandler); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(map[string]*models.IBotHandler)
		}
	}

	return r0
}
